gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Dialog System.Obsolete Display author, documenter and translator credits for an application.

The widget is used as the standard way of displaying credits in an application. Typically, it will be called when a user selects the About... option from the Help menu. With one simple function call, the application can then display all of the appropriate information.

NOTE: The widget is destroyed automatically when the close event is called. Therefore, it is not possible to use the same more than once.

Compile the following example with: mcs GnomeAboutSample.cs -r gtk-sharp -r gnome-sharp -r gdk-sharp

`using System; using Gtk; using GtkSharp; using Gnome; class GnomeAboutSample { About ab; Program program; static void Main(string[] args) { new GnomeAboutSample(args); } GnomeAboutSample (string[] args) { program = new Program("GnomeAboutSample", "0.1", Gnome.Modules.UI , args); App app = new App("sample", "sample"); app.SetDefaultSize (250, 250); app.DeleteEvent += new DeleteEventHandler (on_app_delete); Button btn = new Button ("Show About"); btn.Clicked += new EventHandler (on_btn_clicked); app.Contents = btn; app.ShowAll(); program.Run(); } private void on_btn_clicked (object obj, EventArgs args) { string[] authors = {"The Author", "Co-Author"}; string[] documenters = {"The Documenters", "Another Documenter"}; Gdk.Pixbuf pixbuf = new Gdk.Pixbuf ("MonoIcon.png"); ab = new Gnome.About ("GnomeAboutTest", "0.1", "Copyright", "Comments", authors, documenters, "translator", pixbuf); ab.Close += new EventHandler (OnAboutClose); ab.Response += new ResponseHandler (OnAboutResponse); ab.Run (); } private void OnAboutClose (object o, EventArgs args) { Console.WriteLine ("Close Event"); } private void OnAboutResponse(object o, ResponseArgs args) { Console.WriteLine (args.ResponseId); } private void on_app_delete (object o, DeleteEventArgs args) { program.Quit (); } }`
- Constructor
  2.24.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.24.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.24.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Property
  2.24.0.0
  GLib.Property("comments")
  System.String A short miscellaneous string. an object of type
- Method
  2.24.0.0
  System.Void `` `` `` `` `` `` `` `` a a a a a a a a Construct a credits box for an . The array cannot be empty.
- Property
  2.24.0.0
  GLib.Property("copyright")
  System.String The copyright statement of the application. an object of type
- Property
  2.24.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.24.0.0
  GLib.Property("logo")
  Gdk.Pixbuf The logo for the application. an object of type
- Property
  2.24.0.0
  GLib.Property("name")
  System.String The name of the application. an object of type
- Property
  2.24.0.0
  GLib.Property("translator_credits")
  System.String The translator for the current locale. an object of type
- Property
  2.24.0.0
  GLib.Property("version")
  System.String The version string of the application. an object of type